function fadeIn(obj, parent, completeHandler)
{
	var container = obj;
	container.css("display", "block");
	container.css("opacity", "0");
	
	container.animate({
		opacity: "1"
	},{
		queue: false,
		complete: function(){eval(completeHandler)}
	});
}

function entranceFromLeft(obj, parent, completeHandler)
{
	var container = obj;
	container.css("display", "block");
	container.css("left", "-" + parent.css("width"));

	container.animate({
		left: "0px"
	},{
		queue: false,
		complete: function(){eval(completeHandler)}
	});
}

function entranceFromRight(obj, parent, completeHandler)
{
	var container = obj;
	container.css("display", "block");
	container.css("left", parent.css("width"));
	
	container.animate({
		left: "0px"
	},{
		queue: false,
		complete: function(){eval(completeHandler)}
	});
}

function entranceFromTop(obj, parent, completeHandler)
{
	var container = obj;
	container.css("display", "block");
	container.css("top", "-" + parent.css("height"));
	
	container.animate({
		top: "0px"
	},{
		queue: false,
		complete: function(){eval(completeHandler)}
	});
}

function entranceFromBottom(obj, parent, completeHandler)
{
	var container = obj;
	container.css("display", "block");
	container.css("top", parent.css("height"));
	
	container.animate({
		top: "0px"
	},{
		queue: false,
		complete: function(){eval(completeHandler)}
	});
}